Skip to content
Changelogs

Get a changelog

Understanding how to use FeatureOS API to build custom integrations.

Introduction

The FeatureOS get a changelog API allows you to retrieve information about your changelogs and their associated labels.

GET https://api.featureos.app/api/v3/changelogs/:id
curl -X GET 'https://api.featureos.app/api/v3/changelogs/:id' \
  -H 'API-KEY: YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Headers

Parameter Default Description
API-KEY - Generate from organization settings on the admin dashboard.

Query Parameters

Parameter Required Default Description
id true - The ID of the changelog returned in the list changelogs endpoint.

Sample response

{
  "changelogs": [
    {
      "id": 1,
      "title": "Changelog labels is now live!",
      "preview": "Go label your changelogs now!",
      "description": "<p>Go label your changelogs now! Go on, you can do it!</p>",
      "description_markdown": "Go label your changelogs now! Go on, you can do it!",
      "locale": "en",
      "url": "https://feeback.featureos.app/changelogs/changelog-labels-is-now-live",
      "published": true,
      "published_on": "October 12th, 2021",
      "scheduled_published_at": null,
      "author": {
        "name": "S Jobs",
        "email": "[email protected]"
      },
      "labels": [
        {
          "id": 3,
          "name": "New Feature",
          "color": "green"
        }
      ],
      "feature_requests": [
        {
          "id": 4229,
          "slug": "chrissy-smith",
          "title": "Chrissy Smith",
          "preview": "Chrissy Smith",
          "description": "This is a description for dummies. \n\n",
          "description_html": "<p>This is a description for dummies.</p>",
          "status": "Submitted",
          "url": "https://feedback.featureos.app/b/api/p/chrissy-smith",
          "submitter": {
            "name": "Swathy",
            "email": "[email protected]"
          },
          "bucket": {
            "id": 14,
            "name": "API"
          },
          "downvotes_count": 0,
          "comments_count": 0,
          "created_at": "2021-10-20T13:58:49.000Z",
          "updated_at": "2021-10-20T13:58:49.000Z"
        }
      ]
      "other_languages": [
        {
          "id": 1,
          "title": "¡Las etiquetas del registro de cambios ya están disponibles!",
          "locale": "es",
          "status": "draft"
        }
      ]
    }
  ]
}